Guys is this really necessary? " Downgrade to 1.0.2 before Unlocking a OTB 1.1.1 "

It seems I read somewhere that this is no longer needed, that you may just:

Independence
Activate
Jailbrake
SSH
Install anySimm

and you're good to go...is true?... can anyone confirm this?
It would save some time wouldn't it?

Just checking so I don't do unnecessary steps over and over.
Thanks